Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jedi.parser
Class JavaParser

    java.lang.Object
      |
      +--jedi.parser.JavaParser

All Implemented Interfaces:
  JavaParserConstants, JavaParserTreeConstants

public class JavaParser
extends java.lang.Object
implements JavaParserTreeConstants, JavaParserConstants

Field Summary
`Token` | `jj_nt`
`protected jedi.parser.JJTJavaParserState` | `jjtree`
`boolean` | `lookingAhead`
`Token` | `token`
`JavaParserTokenManager` | `token_source`

Fields inherited from interface jedi.parser.JavaParserTreeConstants
`JJTADDITIVEEXPRESSION, JJTALLOCATIONEXPRESSION, JJTANDEXPRESSION, JJTARGUMENTLIST, JJTARGUMENTS, JJTARRAYDIMSANDINITS, JJTARRAYINITIALIZER, JJTASSIGNMENTOPERATOR, JJTBLOCK, JJTBLOCKSTATEMENT, JJTBOOLEANLITERAL, JJTBREAKSTATEMENT, JJTCASTEXPRESSION, JJTCASTLOOKAHEAD, JJTCLASSBODY, JJTCLASSBODYDECLARATION, JJTCLASSDECLARATION, JJTCOMPILATIONUNIT, JJTCONDITIONALANDEXPRESSION, JJTCONDITIONALEXPRESSION, JJTCONDITIONALOREXPRESSION, JJTCONSTRUCTORDECLARATION, JJTCONTINUESTATEMENT, JJTDOSTATEMENT, JJTEMPTYSTATEMENT, JJTEQUALITYEXPRESSION, JJTEXCLUSIVEOREXPRESSION, JJTEXPLICITCONSTRUCTORINVOCATION, JJTEXPRESSION, JJTFIELDDECLARATION, JJTFORINIT, JJTFORMALPARAMETER, JJTFORMALPARAMETERS, JJTFORSTATEMENT, JJTFORUPDATE, JJTIFSTATEMENT, JJTIMPORTDECLARATION, JJTINCLUSIVEOREXPRESSION, JJTINITIALIZER, JJTINSTANCEOFEXPRESSION, JJTINTERFACEDECLARATION, JJTINTERFACEMEMBERDECLARATION, JJTLABELEDSTATEMENT, JJTLITERAL, JJTLOCALVARIABLEDECLARATION, JJTMETHODDECLARATION, JJTMETHODDECLARATIONLOOKAHEAD, JJTMETHODDECLARATOR, JJTMULTIPLICATIVEEXPRESSION, JJTNAME, JJTNAMELIST, JJTNESTEDCLASSDECLARATION, JJTNESTEDINTERFACEDECLARATION, jjtNodeName, JJTNULLLITERAL, JJTPACKAGEDECLARATION, JJTPOSTFIXEXPRESSION, JJTPREDECREMENTEXPRESSION, JJTPREINCREMENTEXPRESSION, JJTPRIMARYEXPRESSION, JJTPRIMARYPREFIX, JJTPRIMARYSUFFIX, JJTPRIMITIVETYPE, JJTRELATIONALEXPRESSION, JJTRESULTTYPE, JJTRETURNSTATEMENT, JJTSHIFTEXPRESSION, JJTSTATEMENT, JJTSTATEMENTEXPRESSION, JJTSTATEMENTEXPRESSIONLIST, JJTSWITCHLABEL, JJTSWITCHSTATEMENT, JJTSYNCHRONIZEDSTATEMENT, JJTTHROWSTATEMENT, JJTTRYSTATEMENT, JJTTYPE, JJTTYPEDECLARATION, JJTUNARYEXPRESSION, JJTUNARYEXPRESSIONNOTPLUSMINUS, JJTUNMODIFIEDCLASSDECLARATION, JJTUNMODIFIEDINTERFACEDECLARATION, JJTVARIABLEDECLARATOR, JJTVARIABLEDECLARATORID, JJTVARIABLEINITIALIZER, JJTWHILESTATEMENT`

Fields inherited from interface jedi.parser.JavaParserConstants
`_DEFAULT, ABSTRACT, ANDASSIGN, ASSIGN, BANG, BIT_AND, BIT_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_LITERAL, DECR, DEFAULT, DIGIT, DO, DOT, DOUBLE, ELSE, EOF, EQ, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, FORMAL_COMMENT, GE, GOTO, GT, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LE, LETTER, LONG, LPAREN, LSHIFT, LSHIFTASSIGN, LT, MINUS, MINUSASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NULL, OCTAL_LITERAL, ORASSIGN, PACKAGE, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REM, REMASSIGN, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, SC_AND, SC_OR, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

Constructor Summary
`JavaParser(java.io.InputStream stream)`
`JavaParser(JavaParserTokenManager tm)`
`JavaParser(java.io.Reader stream)`

Method Summary
`void` | `AdditiveExpression()`
`void` | `AllocationExpression()`
`void` | `AndExpression()`
`void` | `ArgumentList()`
`void` | `Arguments()`
`void` | `ArrayDimsAndInits()`
`void` | `ArrayInitializer()`
`void` | `AssignmentOperator()`
`void` | `Block()`
`void` | `BlockStatement()`
`void` | `BooleanLiteral()`
`void` | `BreakStatement()`
`void` | `CastExpression()`
`void` | `CastLookahead()`
`void` | `ClassBody()`
`void` | `ClassBodyDeclaration()`
`void` | `ClassDeclaration()`
`ASTCompilationUnit` | `CompilationUnit()` THE JAVA LANGUAGE GRAMMAR STARTS HERE *
`void` | `ConditionalAndExpression()`
`void` | `ConditionalExpression()`
`void` | `ConditionalOrExpression()`
`void` | `ConstructorDeclaration()`
`void` | `ContinueStatement()`
`void` | `disable_tracing()`
`void` | `DoStatement()`
`void` | `EmptyStatement()`
`void` | `enable_tracing()`
`void` | `EqualityExpression()`
`void` | `ExclusiveOrExpression()`
`void` | `ExplicitConstructorInvocation()`
`void` | `Expression()`
`void` | `FieldDeclaration()`
`void` | `ForInit()`
`void` | `FormalParameter()`
`void` | `FormalParameters()`
`void` | `ForStatement()`
`void` | `ForUpdate()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `IfStatement()`
`void` | `ImportDeclaration()`
`void` | `InclusiveOrExpression()`
`void` | `Initializer()`
`void` | `InstanceOfExpression()`
`void` | `InterfaceDeclaration()`
`void` | `InterfaceMemberDeclaration()`
`void` | `LabeledStatement()`
`void` | `Literal()`
`void` | `LocalVariableDeclaration()`
`static void` | `main(java.lang.String[] args)`
`void` | `MethodDeclaration()`
`void` | `MethodDeclarationLookahead()`
`void` | `MethodDeclarator()`
`void` | `MultiplicativeExpression()`
`void` | `Name()`
`void` | `NameList()`
`void` | `NestedClassDeclaration()`
`void` | `NestedInterfaceDeclaration()`
`void` | `NullLiteral()`
`void` | `PackageDeclaration()`
`void` | `PostfixExpression()`
`void` | `PreDecrementExpression()`
`void` | `PreIncrementExpression()`
`void` | `PrimaryExpression()`
`void` | `PrimaryPrefix()`
`void` | `PrimarySuffix()`
`void` | `PrimitiveType()`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(JavaParserTokenManager tm)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `RelationalExpression()`
`void` | `ResultType()`
`void` | `ReturnStatement()`
`void` | `ShiftExpression()`
`void` | `Statement()`
`void` | `StatementExpression()`
`void` | `StatementExpressionList()`
`void` | `SwitchLabel()`
`void` | `SwitchStatement()`
`void` | `SynchronizedStatement()`
`void` | `ThrowStatement()`
`void` | `TryStatement()`
`void` | `Type()`
`void` | `TypeDeclaration()`
`void` | `UnaryExpression()`
`void` | `UnaryExpressionNotPlusMinus()`
`void` | `UnmodifiedClassDeclaration()`
`void` | `UnmodifiedInterfaceDeclaration()`
`void` | `VariableDeclarator()`
`void` | `VariableDeclaratorId()`
`void` | `VariableInitializer()`
`void` | `WhileStatement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected jedi.parser.JJTJavaParserState jjtree

### token_source

    public JavaParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### JavaParser

    public JavaParser(java.io.Reader stream)

### JavaParser

    public JavaParser(JavaParserTokenManager tm)

### JavaParser

    public JavaParser(java.io.InputStream stream)

Method Detail

### AdditiveExpression

    public final void AdditiveExpression()
                                  throws ParseException

### AllocationExpression

    public final void AllocationExpression()
                                    throws ParseException

### AndExpression

    public final void AndExpression()
                             throws ParseException

### ArgumentList

    public final void ArgumentList()
                            throws ParseException

### Arguments

    public final void Arguments()
                         throws ParseException

### ArrayDimsAndInits

    public final void ArrayDimsAndInits()
                                 throws ParseException

### ArrayInitializer

    public final void ArrayInitializer()
                                throws ParseException

### AssignmentOperator

    public final void AssignmentOperator()
                                  throws ParseException

### Block

    public final void Block()
                     throws ParseException

### BlockStatement

    public final void BlockStatement()
                              throws ParseException

### BooleanLiteral

    public final void BooleanLiteral()
                              throws ParseException

### BreakStatement

    public final void BreakStatement()
                              throws ParseException

### CastExpression

    public final void CastExpression()
                              throws ParseException

### CastLookahead

    public final void CastLookahead()
                             throws ParseException

### ClassBody

    public final void ClassBody()
                         throws ParseException

### ClassBodyDeclaration

    public final void ClassBodyDeclaration()
                                    throws ParseException

### ClassDeclaration

    public final void ClassDeclaration()
                                throws ParseException

### CompilationUnit

    public final ASTCompilationUnit CompilationUnit()
                                             throws ParseException

  THE JAVA LANGUAGE GRAMMAR STARTS HERE *

### ConditionalAndExpression

    public final void ConditionalAndExpression()
                                        throws ParseException

### ConditionalExpression

    public final void ConditionalExpression()
                                     throws ParseException

### ConditionalOrExpression

    public final void ConditionalOrExpression()
                                       throws ParseException

### ConstructorDeclaration

    public final void ConstructorDeclaration()
                                      throws ParseException

### ContinueStatement

    public final void ContinueStatement()
                                 throws ParseException

### DoStatement

    public final void DoStatement()
                           throws ParseException

### EmptyStatement

    public final void EmptyStatement()
                              throws ParseException

### EqualityExpression

    public final void EqualityExpression()
                                  throws ParseException

### ExclusiveOrExpression

    public final void ExclusiveOrExpression()
                                     throws ParseException

### ExplicitConstructorInvocation

    public final void ExplicitConstructorInvocation()
                                             throws ParseException

### Expression

    public final void Expression()
                          throws ParseException

### FieldDeclaration

    public final void FieldDeclaration()
                                throws ParseException

### ForInit

    public final void ForInit()
                       throws ParseException

### ForStatement

    public final void ForStatement()
                            throws ParseException

### ForUpdate

    public final void ForUpdate()
                         throws ParseException

### FormalParameter

    public final void FormalParameter()
                               throws ParseException

### FormalParameters

    public final void FormalParameters()
                                throws ParseException

### IfStatement

    public final void IfStatement()
                           throws ParseException

### ImportDeclaration

    public final void ImportDeclaration()
                                 throws ParseException

### InclusiveOrExpression

    public final void InclusiveOrExpression()
                                     throws ParseException

### Initializer

    public final void Initializer()
                           throws ParseException

### InstanceOfExpression

    public final void InstanceOfExpression()
                                    throws ParseException

### InterfaceDeclaration

    public final void InterfaceDeclaration()
                                    throws ParseException

### InterfaceMemberDeclaration

    public final void InterfaceMemberDeclaration()
                                          throws ParseException

### LabeledStatement

    public final void LabeledStatement()
                                throws ParseException

### Literal

    public final void Literal()
                       throws ParseException

### LocalVariableDeclaration

    public final void LocalVariableDeclaration()
                                        throws ParseException

### MethodDeclaration

    public final void MethodDeclaration()
                                 throws ParseException

### MethodDeclarationLookahead

    public final void MethodDeclarationLookahead()
                                          throws ParseException

### MethodDeclarator

    public final void MethodDeclarator()
                                throws ParseException

### MultiplicativeExpression

    public final void MultiplicativeExpression()
                                        throws ParseException

### Name

    public final void Name()
                    throws ParseException

### NameList

    public final void NameList()
                        throws ParseException

### NestedClassDeclaration

    public final void NestedClassDeclaration()
                                      throws ParseException

### NestedInterfaceDeclaration

    public final void NestedInterfaceDeclaration()
                                          throws ParseException

### NullLiteral

    public final void NullLiteral()
                           throws ParseException

### PackageDeclaration

    public final void PackageDeclaration()
                                  throws ParseException

### PostfixExpression

    public final void PostfixExpression()
                                 throws ParseException

### PreDecrementExpression

    public final void PreDecrementExpression()
                                      throws ParseException

### PreIncrementExpression

    public final void PreIncrementExpression()
                                      throws ParseException

### PrimaryExpression

    public final void PrimaryExpression()
                                 throws ParseException

### PrimaryPrefix

    public final void PrimaryPrefix()
                             throws ParseException

### PrimarySuffix

    public final void PrimarySuffix()
                             throws ParseException

### PrimitiveType

    public final void PrimitiveType()
                             throws ParseException

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(JavaParserTokenManager tm)

### RelationalExpression

    public final void RelationalExpression()
                                    throws ParseException

### ResultType

    public final void ResultType()
                          throws ParseException

### ReturnStatement

    public final void ReturnStatement()
                               throws ParseException

### ShiftExpression

    public final void ShiftExpression()
                               throws ParseException

### Statement

    public final void Statement()
                         throws ParseException

### StatementExpression

    public final void StatementExpression()
                                   throws ParseException

### StatementExpressionList

    public final void StatementExpressionList()
                                       throws ParseException

### SwitchLabel

    public final void SwitchLabel()
                           throws ParseException

### SwitchStatement

    public final void SwitchStatement()
                               throws ParseException

### SynchronizedStatement

    public final void SynchronizedStatement()
                                     throws ParseException

### ThrowStatement

    public final void ThrowStatement()
                              throws ParseException

### TryStatement

    public final void TryStatement()
                            throws ParseException

### Type

    public final void Type()
                    throws ParseException

### TypeDeclaration

    public final void TypeDeclaration()
                               throws ParseException

### UnaryExpression

    public final void UnaryExpression()
                               throws ParseException

### UnaryExpressionNotPlusMinus

    public final void UnaryExpressionNotPlusMinus()
                                           throws ParseException

### UnmodifiedClassDeclaration

    public final void UnmodifiedClassDeclaration()
                                          throws ParseException

### UnmodifiedInterfaceDeclaration

    public final void UnmodifiedInterfaceDeclaration()
                                              throws ParseException

### VariableDeclarator

    public final void VariableDeclarator()
                                  throws ParseException

### VariableDeclaratorId

    public final void VariableDeclaratorId()
                                    throws ParseException

### VariableInitializer

    public final void VariableInitializer()
                                   throws ParseException

### WhileStatement

    public final void WhileStatement()
                              throws ParseException

### disable_tracing

    public final void disable_tracing()

### enable_tracing

    public final void enable_tracing()

### generateParseException

    public final ParseException generateParseException()

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD